source: pages
destination: tmp

version: 1.0.0-alpha.7
title: Tabler
description: Premium and Open Source dashboard template with responsive and high quality UI.
github_url: https://github.com/tabler/tabler
sponsor_url: https://github.com/sponsors/codecalm

mapbox_key: pk.eyJ1IjoiY29kZWNhbG0iLCJhIjoiSzRiOVJvQSJ9.BUVkTT6IYs83xSUs4H7bjQ

debug: false

layout-dark: false

plugins:
  - jekyll-random
  - jekyll-toc
  - jekyll-tidy
  - jekyll-timeago
  - jekyll-redirect-from

tabler-plugins:
  - tabler-flags
  - tabler-payments
  - tabler-buttons

exclude:
  - .jekyll-cache

keep_files:
  - css/ui-kit.css
  - css/dark.css
  - css/rtl.css

markdown: kramdown
kramdown:
  input: GFM
  syntax_highlighter: rouge

jekyll_tidy:
  compress_html: false
  ignore_env: development

toc:
  min_level: 2
  max_level: 3
  list_class: list-unstyled

collections:
  docs:
    output: true
#  changelog:
#    output: false
#  components:
#    output: true

defaults:
  - scope:
      type: "pages"
      path: "*.md"
    values:
      layout: markdown

  - scope:
      type: "pages"
    values:
      layout: default
  - scope:
      type: "docs"
    values:
      layout: docs
      toc: true
#  - scope:
#      type: "components"
#    values:
#      layout: component


colors:
  blue:
    hex: '#206bc4'
    title: Blue
  azure:
    hex: '#45aaf2'
    title: Azure
  indigo:
    hex: '#6574cd'
    title: Indigo
  purple:
    hex: '#a55eea'
    title: Purple
  pink:
    hex: '#f66d9b'
    title: Pink
  red:
    hex: '#fa4654'
    title: Red
  orange:
    hex: '#fd9644'
    title: Orange
  yellow:
    hex: '#f1c40f'
    title: Yellow
  lime:
    hex: '#7bd235'
    title: Lime
  green:
    hex: '#5eba00'
    title: Green
  teal:
    hex: '#2bcbba'
    title: Teal
  cyan:
    hex: '#17a2b8'
    title: Cyan
  gray:
    hex: '#868e96'
    title: Gray

colors-extra:
  white:
    hex: '#ffffff'
    title: White
  dark:
    hex: '#303645'
    title: Dark

variants:
  - name: success
    icon: check
  - name: info
    icon: info-circle
  - name: warning
    icon: alert-triangle
  - name: danger
    icon: alert-circle

button-variants:
  primary:
    class: primary
    title: Primary
  secondary:
    class: secondary
    title: Secondary
  success:
    class: success
    title: Success
  warning:
    class: warning
    title: Warning
  danger:
    class: danger
    title: Danger
  info:
    class: info
    title: Info
  light:
    class: light
    title: Light
  dark:
    class: dark
    title: Dark
  link:
    class: link
    title: Link

button-states:
  - class:
    title: Normal
  - class: active
    title: Active state
  - class: disabled
    title: Disabled

socials:
  facebook:
    icon: brand/facebook
    title: Facebook
  twitter:
    icon: brand/twitter
    title: Twitter
  google:
    icon: brand/google
    title: Google
  youtube:
    icon: brand/youtube
    title: Youtube
  vimeo:
    icon: brand/vimeo
    title: Vimeo
  dribbble:
    icon: brand/dribbble
    title: Dribbble
  github:
    icon: brand/github
    title: Github
  instagram:
    icon: brand/instagram
    title: Instagram
  pinterest:
    icon: brand/pinterest
    title: Pinterest
  vk:
    icon: brand/vk
    title: VK
  rss:
    icon: brand/rss
    title: RSS
  flickr:
    icon: brand/flickr
    title: Flickr
  bitbucket:
    icon: brand/bitbucket
    title: Bitbucker
  tabler:
    icon: brand/tabler
    title: Tabler

months_short: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
months_long: ['January', 'Febuary', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
